Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusAttributeSetRealmMap

java.lang.Object
ru.bitel.bgbilling.kernel.network.radius.RadiusAttributeSetRealmMap

public class RadiusAttributeSetRealmMap extends Object
Мап набора радиус атрибутов по реалму и целочисленному ключу.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadiusAttributeSetRealmMap(Map<String,Map<Integer,RadiusAttributeSet>> realmMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(String realm, Integer id, RadiusAttributeSet set)`
  `void`
  `add(String realm, Integer id, RadiusAttributeSet set, boolean replace)`
  `RadiusAttributeSet`
  `get(Integer id)`
  Получение набора атрибутов для реалма default и ключа id
  `RadiusAttributeSet`
  `get(String realm, Integer id)`
  Получение набора атрибутов для указанных реалма и ключа.
  `Map<String,Map<Integer,RadiusAttributeSet>>`
  `getRealmMap()`
  Возвращает мап, в котором содержатся наборы атрибутов по реалмам.
  `void`
  `putAll(Map<Integer,RadiusAttributeSet> map)`
  Добавление мапа в default реалм.
  `void`
  `putAll(RadiusAttributeSetRealmMap realmMap)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RadiusAttributeSetRealmMap

    public RadiusAttributeSetRealmMap(Map<String,Map<Integer,RadiusAttributeSet>> realmMap)

- ## Method Details

  - ### get

    public RadiusAttributeSet get(Integer id)
    Получение набора атрибутов для реалма default и ключа id
    Parameters:
      `id` -
    Returns:

  - ### get

    public RadiusAttributeSet get(String realm, Integer id)
    Получение набора атрибутов для указанных реалма и ключа. Если реалм не указан в конфигурации, берется значение поумолчанию.
    Parameters:
      `realm` -
      `id` -
    Returns:

  - ### putAll

    public void putAll(Map<Integer,RadiusAttributeSet> map)
    Добавление мапа в default реалм.
    Parameters:
      `map` -

  - ### putAll

    public void putAll(RadiusAttributeSetRealmMap realmMap)

  - ### add

    public void add(String realm, Integer id, RadiusAttributeSet set, boolean replace)
    Parameters:
      `realm` -
      `id` -
      `set` -
      `replace` - нужно ли заменять, если такой атрибут уже есть

  - ### add

    public void add(String realm, Integer id, RadiusAttributeSet set)

  - ### getRealmMap

    public Map<String,Map<Integer,RadiusAttributeSet>> getRealmMap()
    Возвращает мап, в котором содержатся наборы атрибутов по реалмам.
    Returns: